Get an onboarding website
import requests
url = "https://platform.ankra.app/org/onboarding/websites/{website_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/onboarding/websites/{website_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/onboarding/websites/{website_id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "queued",
"prompt": "<string>",
"title": "<string>",
"summary": "<string>",
"url": "<string>",
"target_kind": "starter",
"application_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"repository_url": "<string>",
"message": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}Onboarding
Get an onboarding website
One generated website and its progress. Browser-session route.
GET
/
org
/
onboarding
/
websites
/
{website_id}
Get an onboarding website
import requests
url = "https://platform.ankra.app/org/onboarding/websites/{website_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/onboarding/websites/{website_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/onboarding/websites/{website_id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "queued",
"prompt": "<string>",
"title": "<string>",
"summary": "<string>",
"url": "<string>",
"target_kind": "starter",
"application_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"repository_url": "<string>",
"message": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
The website.
One website generation of the onboarding wizard.
Available options:
queued, generating, deploying, live, failed Available options:
starter, repository